package com.alterdekim.game.mapper;

import com.alterdekim.flash.decompiler.mapper.FlashFieldConverter;
import com.alterdekim.game.component.game.RoleFlags;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public class Integer2RoleFlagsConverter extends FlashFieldConverter {
    @Override
    public Object convert(Object o) {
        return RoleFlags.fromId((Integer) o);
    }
}
